diff --git a/contrib/plugins/minimal-up2k.js b/contrib/plugins/minimal-up2k.js
index b3514aea..92689a25 100644
--- a/contrib/plugins/minimal-up2k.js
+++ b/contrib/plugins/minimal-up2k.js
@@ -39,20 +39,6 @@ var u2min = `
   display: none !important;
 }
 #u2conf {margin:5em auto 0 auto !important}
-#u2conf.ww {width:70em}
-#u2conf.w {width:50em}
-#u2conf.w .c,
-#u2conf.w #u2btn_cw {text-align:left}
-#u2conf.w #u2btn_cw {width:70%}
-#u2etaw {margin:3em auto}
-#u2etaw.w {
-  text-align: center;
-  margin: -3.5em auto 5em auto;
-}
-#u2etaw.w #u2etas {margin-right:-37em}
-#u2etaw.w #u2etas.o {margin-top:-2.2em}
-#u2etaw.ww {margin:-1em auto}
-#u2etaw.ww #u2etas {padding-left:4em}
 #u2etas {
   background: none !important;
   border: none !important;
diff --git a/contrib/plugins/rave.js b/contrib/plugins/rave.js
index c6fed874..8e4ea94c 100644
--- a/contrib/plugins/rave.js
+++ b/contrib/plugins/rave.js
@@ -119,7 +119,7 @@ body.untz {
         if (--uofs >= 0) {
             document.body.style.marginLeft = hrand() * uofs + 'px';
             ebi('tree').style.marginLeft = hrand() * uofs + 'px';
-            for (var a of QSA('#ops>a, #path>a, #pctl>a'))
+            for (var a of QSA('#ops>a, #path>a, .pctl>a'))
                 a.style.transform = 'translate(' + hrand() * uofs * 1 + 'px, ' + hrand() * uofs * 0.7 + 'px) rotate(' + Math.random() * uofs * 0.7 + 'deg)'
         }
 
diff --git a/copyparty/__main__.py b/copyparty/__main__.py
index 2f568b5c..ae82d8ce 100644
--- a/copyparty/__main__.py
+++ b/copyparty/__main__.py
@@ -1903,9 +1903,9 @@ def add_ui(ap, retry: int):
     THEMES = 10
     ap2 = ap.add_argument_group("ui options")
     ap2.add_argument("--grid", action="store_true", help="show grid/thumbnails by default (volflag=grid)")
-    ap2.add_argument("--gsel", action="store_true", help="select files in grid by ctrl-click (volflag=gsel)")
+    ap2.add_argument("--no-gsel", action="store_true", help="ctrl-click in gridview will open-in-new-tab instead of select-file (volflag=-gsel)")
     ap2.add_argument("--localtime", action="store_true", help="default to local timezone instead of UTC")
-    ap2.add_argument("--ui-filesz", metavar="FMT", type=u, default="1", help="default filesize format; one of these: 0, 1, 2, 2c, 3, 3c, 4, 4c, 5, 5c, 6, 6c, 7, 7c, fuzzy (see UI)")
+    ap2.add_argument("--ui-filesz", metavar="FMT", type=u, default="6", help="default filesize format; one of these: 0, 1, 2, 2c, 3, 3c, 4, 4c, 5, 5c, 6, 6c, 7, 7c, fuzzy (see UI)")
     ap2.add_argument("--gauto", metavar="PERCENT", type=int, default=0, help="switch to gridview if more than \033[33mPERCENT\033[0m of files are pics/vids; 0=disabled")
     ap2.add_argument("--rcm", metavar="TXT", default="yy", help="rightclick-menu; two yes/no options: 1st y/n is enable-custom-menu, 2nd y/n is enable-double")
     ap2.add_argument("--lang", metavar="LANG", type=u, default="eng", help="language, for example \033[32meng\033[0m / \033[32mnor\033[0m / ...")
@@ -1966,6 +1966,7 @@ def add_ui(ap, retry: int):
     ap2.add_argument("--ui-noctxb", action="store_true", help="hide context-buttons in the UI (volflag=ui_noctxb)")
     ap2.add_argument("--ui-norepl", action="store_true", help="hide repl-button in the UI (volflag=ui_norepl)")
     ap2.add_argument("--have-unlistc", action="store_true", help=argparse.SUPPRESS)
+    ap2.add_argument("--gsel", action="store_true", default=True, help=argparse.SUPPRESS)
 
 
 def add_debug(ap):
diff --git a/copyparty/httpcli.py b/copyparty/httpcli.py
index d8df0715..05e7265a 100644
--- a/copyparty/httpcli.py
+++ b/copyparty/httpcli.py
@@ -5282,7 +5282,7 @@ class HttpCli(object):
         # chrome cannot handle more than ~2000 unique SVGs
         # so url-param "raster" returns a png/webp instead
         # (useragent-sniffing kinshi due to caching proxies)
-        mime, ico = self.conn.hsrv.ico.get(txt, not small, "raster" in self.uparam)
+        mime, ico = self.conn.hsrv.ico.get(txt, not small, "raster" in self.uparam, self.uparam.get('a'))
 
         lm = formatdate(self.E.t0)
         self.reply(ico, mime=mime, headers={"Last-Modified": lm})
@@ -6642,7 +6642,7 @@ class HttpCli(object):
             {
                 "lead": "",
                 "href": "%s/" % (x,),
-                "ext": "---",
+                "ext": "",
                 "sz": 0,
                 "ts": 0,
                 "tags": e_d,
@@ -6851,7 +6851,7 @@ class HttpCli(object):
                                 pass
 
                     if is_dir:
-                        return self.tx_svg("folder")
+                        return self.reply(b"(no thumbnail)")
 
                 thp = None
                 if self.thumbcli and not nothumb:
@@ -6871,7 +6871,7 @@ class HttpCli(object):
                 elif th_fmt in ACODE2_FMT:
                     raise Pebkac(415)
 
-                return self.tx_ico(rem)
+                return self.reply(b"(no thumbnail)")
 
         elif self.can_write and th_fmt is not None:
             return self.tx_svg("upload\nonly")
@@ -6966,15 +6966,20 @@ class HttpCli(object):
             elif not self.can_write:
                 return self.tx_404(True)
 
+        srv_name = ""
         srv_info = []
 
         try:
             if not self.args.nih:
+                srv_name = self.args.name_html
                 srv_info.append(self.args.name_html)
         except:
             self.log("#wow #whoa")
 
         zi = vn.flags["du_iwho"]
+        h1 = ""
+        h2 = ""
+        space_used_percent = 0
         if zi and (
             zi == 9
             or (zi == 7 and self.uname != "*")
@@ -7002,6 +7007,8 @@ class HttpCli(object):
                 h1 = humansize(free or 0)
                 h2 = humansize(total)
                 srv_info.append("{} free of {}".format(h1, h2))
+                if(total > 0):
+                    space_used_percent = (total - (free or 0)) / total * 100
             elif zs:
                 self.log("diskfree(%r): %s" % (abspath, zs), 3)
 
@@ -7052,6 +7059,9 @@ class HttpCli(object):
             "files": [],
             "taglist": [],
             "srvinf": srv_infot,
+            "space_used_percent": space_used_percent,
+            "space_free": h1,
+            "space_total": h2,
             "acct": self.uname,
             "perms": perms,
             "cfg": vn.js_ls,
@@ -7075,6 +7085,10 @@ class HttpCli(object):
             "url_suf": url_suf,
             "title": html_escape("%s %s" % (self.args.bname, self.vpath), crlf=True),
             "srv_info": srv_infot,
+            "srv_name": srv_name,
+            "space_used_percent": space_used_percent,
+            "space_free": h1,
+            "space_total": h2,
             "dtheme": self.args.theme,
         }
 
@@ -7219,12 +7233,12 @@ class HttpCli(object):
                     margin = "DIR"
                 elif add_dk:
                     zs = absreal(fspath)
-                    margin = '<a href="%s?k=%s&zip=crc" rel="nofollow">zip</a>' % (
+                    margin = '<a href="%s?k=%s&zip=crc" rel="nofollow" class="dir">zip</a>' % (
                         quotep(href),
                         self.gen_fk(2, self.args.dk_salt, zs, 0, 0)[:add_dk],
                     )
                 else:
-                    margin = '<a href="%s?zip=crc" rel="nofollow">zip</a>' % (
+                    margin = '<a href="%s?zip=crc" rel="nofollow" class="dir">zip</a>' % (
                         quotep(href),
                     )
             elif fn in hist:
@@ -7248,7 +7262,7 @@ class HttpCli(object):
             )
 
             if is_dir:
-                ext = "---"
+                ext = ""
             elif "." in fn:
                 ext = ptn_hr.sub("@", fn.rsplit(".", 1)[1])
                 if len(ext) > 16:
diff --git a/copyparty/ico.py b/copyparty/ico.py
index 820c53af..5b27027a 100644
--- a/copyparty/ico.py
+++ b/copyparty/ico.py
@@ -11,31 +11,32 @@ from .th_srv import HAVE_PIL, HAVE_PILF
 from .util import BytesIO, html_escape  # type: ignore
 
 
+RE_CSS_COLOR = re.compile(r"[^a-zA-Z0-9#()%.,/-]")
+
+
 class Ico(object):
     def __init__(self, args: argparse.Namespace) -> None:
         self.args = args
 
-    def get(self, ext: str, as_thumb: bool, chrome: bool) -> tuple[str, bytes]:
+    def get(self, ext: str, as_thumb: bool, png: bool, accent: str) -> tuple[str, bytes]:
         """placeholder to make thumbnails not break"""
 
         bext = ext.encode("ascii", "replace")
         ext = bext.decode("utf-8")
-        zb = hashlib.sha1(bext).digest()[2:4]
-        if PY2:
-            zb = [ord(x) for x in zb]  # type: ignore
-
-        c1 = colorsys.hsv_to_rgb(zb[0] / 256.0, 1, 0.3)
-        c2 = colorsys.hsv_to_rgb(zb[0] / 256.0, 0.8 if HAVE_PILF else 1, 1)
-        ci = [int(x * 255) for x in list(c1) + list(c2)]
-        c = "".join(["%02x" % (x,) for x in ci])
-
+        
         w = 100
         h = 30
         if as_thumb:
             sw, sh = self.args.th_size.split("x")
             h = int(100.0 / (float(sw) / float(sh)))
 
-        if chrome:
+        if accent:
+            accent = RE_CSS_COLOR.sub("", accent)
+
+        # obsolete. 2000+ svgs slows chrome down massively, but no crash.
+        # further, unique svgs are only used for non-standard thumbnails,
+        # so it's unrealistic to see that many in use
+        if png & 0:
             # cannot handle more than ~2000 unique SVGs
             if HAVE_PILF:
                 # pillow 10.1 made this the default font;
@@ -48,11 +49,11 @@ class Ico(object):
 
                     h = int(128.0 * h / w)
                     w = 128
-                    img = Image.new("RGB", (w, h), "#" + c[:6])
+                    img = Image.new("RGBA", (w, h), "#00000000")
                     pb = ImageDraw.Draw(img)
                     _, _, tw, th = pb.textbbox((0, 0), ext2, font_size=16)
                     xy = (int((w - tw) / 2), int((h - th) / 2))
-                    pb.text(xy, ext2, fill="#" + c[6:], font_size=16)
+                    pb.text(xy, ext2, fill=accent, font_size=16)
 
                     img = img.resize((w * 2, h * 2), Image.NEAREST)
 
@@ -69,7 +70,7 @@ class Ico(object):
 
                 h = int(64.0 * h / w)
                 w = 64
-                img = Image.new("RGB", (w, h), "#" + c[:6])
+                img = Image.new("RGBA", (w, h), "#00000000")
                 pb = ImageDraw.Draw(img)
                 try:
                     _, _, tw, th = pb.textbbox((0, 0), ext)
@@ -79,7 +80,7 @@ class Ico(object):
                 tw += len(ext)
                 cw = tw // len(ext)
                 x = ((w - tw) // 2) - (cw * 2) // 3
-                fill = "#" + c[6:]
+                fill = accent
                 for ch in ext:
                     pb.text((x, (h - th) // 2), " %s " % (ch,), fill=fill)
                     x += cw
@@ -93,9 +94,9 @@ class Ico(object):
         svg = """\
 <?xml version="1.0" encoding="UTF-8"?>
 <svg version="1.1" viewBox="0 0 100 {}" xmlns="http://www.w3.org/2000/svg"><g>
-<rect width="100%" height="100%" fill="#{}" />
+<rect width="100%" height="100%" fill="#0000" />
 <text x="50%" y="{}" dominant-baseline="middle" text-anchor="middle" xml:space="preserve"
-  fill="#{}" font-family="monospace" font-size="14px" style="letter-spacing:.5px">{}</text>
+  fill="{}" font-family="monospace" font-size="14px" style="letter-spacing:.5px">{}</text>
 </g></svg>
 """
 
@@ -109,6 +110,6 @@ class Ico(object):
         else:
             y = "50%"
 
-        svg = svg.format(h, c[:6], y, c[6:], txt)
+        svg = svg.format(h, y, accent or '#000', txt)
 
         return "image/svg+xml", svg.encode("utf-8")
diff --git a/copyparty/util.py b/copyparty/util.py
index 1f7b9cec..a2330291 100644
--- a/copyparty/util.py
+++ b/copyparty/util.py
@@ -450,7 +450,10 @@ if ANYWIN:
     IMPLICATIONS.extend([["z", "zm4"]])
 
 
-UNPLICATIONS = [["no_dav", "daw"]]
+UNPLICATIONS = [
+    ["no_dav", "daw"],
+    ["no_gsel", "gsel"],
+]
 
 
 DAV_ALLPROP_L = [
diff --git a/copyparty/web/baguettebox.js b/copyparty/web/baguettebox.js
index 3bd2a53e..b1f12792 100644
--- a/copyparty/web/baguettebox.js
+++ b/copyparty/web/baguettebox.js
@@ -28,7 +28,7 @@ window.baguetteBox = (function () {
             onChange: null,
             readDirRtl: false,
         },
-        overlay, slider, btnPrev, btnNext, btnHelp, btnAnim, btnRotL, btnRotR, btnSel, btnFull, btnZoom, btnVmode, btnReadDir, btnClose,
+        overlay, slider, btnPrev, btnNext, btnHelp, btnAnim, btnRotL, btnRotR, btnSel, btnFull, btnZoom, btnPixelated, btnVmode, btnReadDir, btnClose,
         currentGallery = [],
         currentIndex = 0,
         isOverlayVisible = false,
@@ -305,19 +305,20 @@ window.baguetteBox = (function () {
             ctr.innerHTML = (
                 '<div id="bbox-overlay" role="dialog">' +
                 '<div id="bbox-slider"></div>' +
-                '<button id="bbox-prev" class="bbox-btn" type="button" aria-label="Previous">&lt;</button>' +
-                '<button id="bbox-next" class="bbox-btn" type="button" aria-label="Next">&gt;</button>' +
+                '<div id="bbox-prev"><a class="btn" aria-label="Previous">◀</a></div>' +
+                '<div id="bbox-next"><a class="btn" aria-label="Next">▶</a></div>' +
                 '<div id="bbox-btns">' +
-                '<button id="bbox-help" type="button">?</button>' +
-                '<button id="bbox-anim" type="button" tt="a">-</button>' +
-                '<button id="bbox-readdir" type="button" tt="a">ltr</button>' +
-                '<button id="bbox-rotl" type="button">↶</button>' +
-                '<button id="bbox-rotr" type="button">↷</button>' +
-                '<button id="bbox-tsel" type="button">sel</button>' +
-                '<button id="bbox-full" type="button" tt="full-screen">⛶</button>' +
-                '<button id="bbzoom" type="button" tt="zoom/stretch">z</button>' +
-                '<button id="bbox-vmode" type="button" tt="a"></button>' +
-                '<button id="bbox-close" type="button" aria-label="Close">X</button>' +
+                    '<a id="bbox-close" class="btn" aria-label="Close">✕</a>' +
+                    '<a id="bbox-vmode" class="btn" tt="a"></a>' +
+                    '<a id="bbox-full" class="btn" tt="full-screen">⛶</a>' +
+                    '<a id="bbzoom" class="tgl btn" tt="zoom/stretch smaller images to fill screen">↕</a>' +
+                    '<a id="bbpixelated" class="tgl btn" tt="pixelated rendering (good for pixel art)">👾</a>' +
+                    '<a id="bbox-tsel" class="tgl btn">☑️sel</a>' +
+                    '<a id="bbox-rotr" class="btn">↷</a>' +
+                    '<a id="bbox-rotl" class="btn">↶</a>' +
+                    '<a id="bbox-readdir" class="btn" tt="a">ltr</a>' +
+                    '<a id="bbox-anim" class="btn" tt="a">-</a>' +
+                    '<a id="bbox-help" class="btn">?</a>' +
                 '</div></div>'
             );
             overlay = ctr.firstChild;
@@ -335,11 +336,14 @@ window.baguetteBox = (function () {
         btnSel = ebi('bbox-tsel');
         btnFull = ebi('bbox-full');
         btnZoom = ebi('bbzoom');
+        btnPixelated = ebi('bbpixelated');
         btnVmode = ebi('bbox-vmode');
         btnClose = ebi('bbox-close');
 
         bcfg_bind(options, 'bbzoom', 'bbzoom', false, setzoom);
         setzoom();
+        bcfg_bind(options, 'bbpixelated', 'bbpixelated', false, setpixelated);
+        setpixelated();
     }
 
     function halp() {
@@ -356,6 +360,7 @@ window.baguetteBox = (function () {
             ['R', 'rotate (shift=ccw)'],
             ['F', 'toggle fullscreen'],
             ['Z', 'toggle zoom/stretch'],
+            ['X', 'toggle pixelated rendering'],
             ['S', 'toggle file selection'],
             ['space, P, K', 'video: play / pause'],
             ['U', 'video: seek 10sec back'],
@@ -440,6 +445,8 @@ window.baguetteBox = (function () {
             tglfull();
         else if (kl == "z")
             btnZoom.click();
+        else if (kl == "x")
+            btnPixelated.click();
         else if (kl == "s")
             tglsel();
         else if (kl == "r")
@@ -553,6 +560,12 @@ window.baguetteBox = (function () {
         btnState(btnZoom, sel);
     }
 
+    function setpixelated() {
+        var sel = clgot(btnPixelated, 'on')
+        clmod(ebi('bbox-overlay'), 'pixelated', sel);
+        btnState(btnPixelated, sel);
+    }
+
     function tglsel() {
         var o = findfile()[3];
         clmod(o.closest('tr'), 'sel', 't');
@@ -576,18 +589,14 @@ window.baguetteBox = (function () {
             if (vsplit(files[a].vp)[1] == name)
                 sel = true;
 
-        ebi('bbox-overlay').style.background = sel ?
-            'rgba(153,34,85,0.7)' : '';
+        clmod(ebi('bbox-overlay'), 'sel', sel);
 
         img.style.borderRadius = sel ? '1em' : '';
         btnState(btnSel, sel);
     }
 
     function btnState(btn, sel) {
-        btn.style.color = sel ? '#fff' : '';
-        btn.style.background = sel ? '#d48' : '';
-        btn.style.textShadow = sel ? '1px 1px 0 #b38' : '';
-        btn.style.boxShadow = sel ? '.15em .15em 0 #502' : '';
+        clmod(btn, 'on', sel);
     }
 
     function keyUpHandler(e) {
@@ -729,7 +738,7 @@ window.baguetteBox = (function () {
         if (options.buttons === 'auto' && ('ontouchstart' in window || currentGallery.length === 1))
             options.buttons = false;
 
-        btnPrev.style.display = btnNext.style.display = (options.buttons ? '' : 'none');
+        QS('#bbox-next .btn').style.display = QS('#bbox-prev .btn').style.display = (options.buttons ? '' : 'none');
     }
 
     function showOverlay(chosenImageIndex) {
@@ -1233,9 +1242,7 @@ window.baguetteBox = (function () {
     }
 
     function show_buttons(v) {
-        clmod(ebi('bbox-btns'), 'off', v);
-        clmod(btnPrev, 'off', v);
-        clmod(btnNext, 'off', v);
+        clmod(ebi('bbox-overlay'), 'immersive', v);
     }
 
     function bounceAnimation(direction) {
@@ -1297,11 +1304,11 @@ window.baguetteBox = (function () {
                 x = e.clientX - rc.left,
                 fx = x / (rc.right - rc.left);
 
-            if (fx < 0.3)
-                return showLeftImage();
+            // if (fx < 0.3)
+            //     return showLeftImage();
 
-            if (fx > 0.7)
-                return showRightImage();
+            // if (fx > 0.7)
+            //     return showRightImage();
 
             show_buttons('t');
 
@@ -1367,4 +1374,18 @@ window.baguetteBox = (function () {
     };
 })();
 
+
+function init(){
+    if(thegrid != undefined && thegrid.dirty == false && thegrid.bbox != true){
+        console.log('bbox load')
+        thegrid.bagit();
+    }
+    else{
+        setTimeout(init, 100)
+    }
+}
+
+console.log('wait for grid init');
+init();
+
 J_BBX = 2;
diff --git a/copyparty/web/md.js b/copyparty/web/md.js
index 9ecfca4b..7bde61b2 100644
--- a/copyparty/web/md.js
+++ b/copyparty/web/md.js
@@ -41,7 +41,7 @@ var dbg = function () { };
         link += parts[a] + (a < aa ? '/' : '');
         o = mknod('a');
         o.setAttribute('href', link);
-        o.textContent = uricom_dec(parts[a].split('?')[0]) || 'top';
+        o.textContent = uricom_dec(parts[a].split('?')[0]) || '🏠';
         dom_nav.appendChild(o);
     }
 })();
diff --git a/copyparty/web/mde.js b/copyparty/web/mde.js
index e44c9803..840aa036 100644
--- a/copyparty/web/mde.js
+++ b/copyparty/web/mde.js
@@ -9,7 +9,7 @@ var dom_md = ebi('mt');
 (function () {
     var n = location + '';
     n = (n.slice(n.indexOf('//') + 2).split('?')[0] + '?v').split('/');
-    n[0] = 'top';
+    n[0] = '🏠';
     var loc = [];
     var nav = [];
     for (var a = 0; a < n.length; a++) {
diff --git a/copyparty/web/tl/chi.js b/copyparty/web/tl/chi.js
index ac7184f5..6298f8ea 100644
--- a/copyparty/web/tl/chi.js
+++ b/copyparty/web/tl/chi.js
@@ -5,7 +5,7 @@ Ls.chi = {
 	"tt": "中文",
 
 	"cols": {
-		"c": "操作按钮",
+		"!": "操作按钮",
 		"dur": "时长",
 		"q": "质量 / 比特率",
 		"Ac": "音频编码",
@@ -14,7 +14,7 @@ Ls.chi = {
 		"Ahash": "音频校验和",
 		"Vhash": "视频校验和",
 		"Res": "分辨率",
-		"T": "文件类型",
+		"Ext": "文件类型",
 		"aq": "音频质量 / 比特率",
 		"vq": "视频质量 / 比特率",
 		"pixfmt": "子采样 / 像素结构",
@@ -33,7 +33,7 @@ Ls.chi = {
 			["G", "切换列表 / 网格视图"],
 			["T", "切换缩略图 / 图标"],
 			["⇧ A/D", "缩略图大小"],
-			["ctrl-K", "删除选中项"],
+			["ctrl-K/Del", "删除选中项"],
 			["ctrl-X", "剪切选中项到剪贴板"],
 			["ctrl-C", "复制选中项到剪贴板"],
 			["ctrl-V", "粘贴（移动/复制）到此处"],
@@ -107,9 +107,9 @@ Ls.chi = {
 	"ht_and": "又 ",
 
 	"goh": "控制面板",
-	"gop": '上一个同级文件夹">前',
-	"gou": '上一级文件夹">上',
-	"gon": '下一个文件夹">后',
+	"gop": '上一个同级文件夹',
+	"gou": '上一级文件夹',
+	"gon": '下一个文件夹',
 	"logout": "登出 ",
 	"login": "登录",
 	"access": " 权限",
@@ -157,7 +157,7 @@ Ls.chi = {
 	"ut_u2ts": "将最后修改的时间戳$N从你的文件系统复制到服务器\">📅",
 	"ut_ow": "覆盖服务器上的现有文件？$N🛡️：不要覆盖（会生成新文件名）$N🕒：如果服务器文件较旧则覆盖$N♻️：只要文件内容不同就覆盖$N⏭️：无条件跳过所有已有文件",
 	"ut_mt": "在上传时继续哈希其他文件$N$N如果你的 CPU 或硬盘是瓶颈，可能需要禁用",
-	"ut_ask": '上传开始前询问确认">💭',
+	"ut_ask": '上传开始前询问确认',
 	"ut_pot": "通过简化界面来$N提高慢设备上的上传速度",
 	"ut_srch": "不会真的上传，而是检查文件是否$N已经存在于服务器上（将扫描你可以读取的所有文件夹）",
 	"ut_par": "设置为 0 可暂停上传$N$N如果你的网络很慢/延迟很高，请增加该值$N$N在局域网内/瓶颈在服务器硬盘时，请保持该值为 1",
@@ -288,9 +288,9 @@ Ls.chi = {
 	"ml_drc": "动态范围压缩器",
 	"ml_ss": "无声段自动快进",
 
-	"mt_loop": "单曲循环\">🔁",
+	"mt_loop": "单曲循环",
 	"mt_one": "播完一首歌曲后停止\">1️⃣",
-	"mt_shuf": "随机播放各文件夹中的歌曲\">🔀",
+	"mt_shuf": "随机播放各文件夹中的歌曲",
 	"mt_aplay": "如果链接中有歌曲 ID，则自动播放$N$N禁用此选项将不再在播放音乐时更新页面 URL 中的歌曲 ID，以防止设置丢失但 URL 保留时又自动播放起来\">自▶",
 	"mt_preload": "在歌曲快结束时开始加载下一首歌，以实现无缝播放\">预载",
 	"mt_prescan": "在最后一首歌结束之前自动跳转到下一个文件夹$N以防止浏览器换页时停止播放\">预扫",
@@ -305,7 +305,7 @@ Ls.chi = {
 	"mt_follow": "切换歌曲时，将正在播放的曲目滚动到视野内\">🎯",
 	"mt_compact": "紧凑的控制按钮\">⟎",
 	"mt_uncache": "清除缓存&nbsp;$N（如果你的浏览器因缓存歌曲损坏而无法播放，请尝试此操作）\">清缓",
-	"mt_mloop": "循环播放当前播放中的文件夹\">🔁 循环",
+	"mt_mloop": "循环播放当前播放中的文件夹",
 	"mt_mnext": "加载下一个文件夹并继续播放\">📂 继续",
 	"mt_mstop": "停止播放\">⏸ 停止",
 	"mt_cflac": "将 flac / wav 转换为 {0}\">flac",
diff --git a/copyparty/web/tl/cze.js b/copyparty/web/tl/cze.js
index bab572b5..cd94c269 100644
--- a/copyparty/web/tl/cze.js
+++ b/copyparty/web/tl/cze.js
@@ -5,7 +5,7 @@ Ls.cze = {
 	"tt": "Čeština",
 
 	"cols": {
-		"c": "tlačítka akcí",
+		"!": "tlačítka akcí",
 		"dur": "doba trvání",
 		"q": "kvalita / bitrate",
 		"Ac": "audio kodek",
@@ -14,7 +14,7 @@ Ls.cze = {
 		"Ahash": "kontrolní součet audia",
 		"Vhash": "kontrolní součet videa",
 		"Res": "rozlišení",
-		"T": "typ souboru",
+		"Ext": "typ souboru",
 		"aq": "kvalita zvuku / bitrate",
 		"vq": "kvalita videa / bitrate",
 		"pixfmt": "podvzorkování / struktura pixelů",
@@ -33,7 +33,7 @@ Ls.cze = {
 			["G", "přepnout seznam / zobrazení mřížky"],
 			["T", "přepnout náhledy / ikony"],
 			["⇧ A/D", "velikost náhledů"],
-			["ctrl-K", "smazat vybrané"],
+			["ctrl-K/Del", "smazat vybrané"],
 			["ctrl-X", "vyjmout výběr do schránky"],
 			["ctrl-C", "kopírovat výběr do schránky"],
 			["ctrl-V", "vložit (přesunout/kopírovat) zde"],
@@ -111,9 +111,9 @@ Ls.cze = {
 	"ht_and": " a ",
 
 	"goh": "ovládací panel",
-	"gop": 'předchozí sourozenec">předchozí',
-	"gou": 'nadřazená složka">nahoru',
-	"gon": 'následující složka">následující',
+	"gop": 'předchozí sourozenec',
+	"gou": 'nadřazená složka',
+	"gon": 'následující složka',
 	"logout": "Odhlásit ",
 	"login": "Přihlásit se", //m
 	"access": " přístup",
@@ -161,7 +161,7 @@ Ls.cze = {
 	"ut_u2ts": "kopírovat časovou značku poslední změny$Nz vašeho souborového systému na server\">📅",
 	"ut_ow": "přepsat existující soubory na serveru?$N🛡️: nikdy (místo toho vytvoří nový název souboru)$N🕒: přepsat pokud je soubor na serveru starší než váš$N♻️: vždy přepsat pokud se soubory liší$N⏭️: bezpodmínečně přeskočit všechny existující soubory", //m
 	"ut_mt": "pokračovat v hashování ostatních souborů během nahrávání$N$Nmožná zakázat pokud je vaše CPU nebo HDD bottleneckem",
-	"ut_ask": 'požádat o potvrzení před zahájením nahrávání">💭',
+	"ut_ask": 'požádat o potvrzení před zahájením nahrávání',
 	"ut_pot": "zlepšit rychlost nahrávání na pomalých zařízeních$Nzjednodušením UI",
 	"ut_srch": "skutečně nenahrávat, místo toho zkontrolovat zda soubory již $N existují na serveru (prohledá všechny složky které můžete číst)",
 	"ut_par": "pozastavit nahrávání nastavením na 0$N$Nzvýšit pokud je vaše připojení pomalé / vysoká latence$N$Nponechat na 1 v LAN nebo pokud je HDD serveru bottleneckem",
@@ -292,9 +292,9 @@ Ls.cze = {
 	"ml_drc": "kompresor dynamického rozsahu",
 	"ml_ss": "přeskočit ticho", //m
 
-	"mt_loop": "smyčka/opakovat jednu skladbu\">🔁",
+	"mt_loop": "smyčka/opakovat jednu skladbu",
 	"mt_one": "zastavit po jedné skladbě\">1️⃣",
-	"mt_shuf": "zamíchat skladby v každé složce\">🔀",
+	"mt_shuf": "zamíchat skladby v každé složce",
 	"mt_aplay": "automatické přehrávání pokud je ID skladby v odkazu kterým jste přišli na server$N$Nzakázání toho také zastaví aktualizaci URL stránky s ID skladby při přehrávání hudby, aby se zabránilo automatickému přehrávání pokud se tato nastavení ztratí ale URL zůstane\">a▶",
 	"mt_preload": "začít načítat následující skladbu před koncem pro plynulé přehrávání\">přednahrání",
 	"mt_prescan": "přejít do následující složky před tím než$Nskončí poslední skladba, aby byl webprohlížeč$Nspokojen aby nezastavil přehrávání\">nav",
@@ -309,7 +309,7 @@ Ls.cze = {
 	"mt_follow": "udržet přehrávanou stopu v zobrazení\">🎯",
 	"mt_compact": "kompaktní ovládání\">⟎",
 	"mt_uncache": "vymazat cache &nbsp;(zkuste to, pokud váš prohlížeč uložil$Nporušenou kopii písně a odmítá ji přehrát)\">uncache",
-	"mt_mloop": "opakovat otevřenou složku\">🔁 loop",
+	"mt_mloop": "opakovat otevřenou složku",
 	"mt_mnext": "načíst další složku a pokračovat\">📂 next",
 	"mt_mstop": "zastavit přehrávání\">⏸ stop",
 	"mt_cflac": "převést flac / wav na {0}\">flac",
diff --git a/copyparty/web/tl/deu.js b/copyparty/web/tl/deu.js
index cc7cffc7..00ccf05f 100644
--- a/copyparty/web/tl/deu.js
+++ b/copyparty/web/tl/deu.js
@@ -5,7 +5,7 @@ Ls.deu = {
 	"tt": "Deutsch",
 
 	"cols": {
-		"c": "Aktionen",
+		"!": "Aktionen",
 		"dur": "Dauer",
 		"q": "Qualität / Bitrate",
 		"Ac": "Audiocodec",
@@ -14,7 +14,7 @@ Ls.deu = {
 		"Ahash": "Audio Checksumme",
 		"Vhash": "Video Checksumme",
 		"Res": "Auflösung",
-		"T": "Dateityp",
+		"Ext": "Dateityp",
 		"aq": "Audioqualität / Bitrate",
 		"vq": "Videoqualität / Bitrate",
 		"pixfmt": "Subsampling / Pixelstruktur",
@@ -107,9 +107,9 @@ Ls.deu = {
 	"ht_and": " und ",
 
 	"goh": "Einstellungen",
-	"gop": 'zum vorherigen Ordner springen">vorh.',
-	"gou": 'zum übergeordneter Ordner springen">hoch',
-	"gon": 'zum nächsten Ordner springen">nächst.',
+	"gop": 'zum vorherigen Ordner springen',
+	"gou": 'zum übergeordneter Ordner springen',
+	"gon": 'zum nächsten Ordner springen',
 	"logout": "Abmelden ",
 	"login": "Anmelden",
 	"access": " Zugriff",
@@ -157,7 +157,7 @@ Ls.deu = {
 	"ut_u2ts": "Zuletzt geändert-Zeitstempel von$Ndeinem Dateisystem auf den Server übertragen\">📅",
 	"ut_ow": "Existierende Dateien auf dem Server überschreiben?$N🛡️: Nie (generiert einen neuen Dateinamen)$N🕒: Überschreiben, wenn Server-Datei älter ist als meine$N♻️: Überschreiben, wenn der Dateiinhalt anders ist$N⏭️: Vorhandene Dateien immer überspringen",
 	"ut_mt": "Andere Dateien während des Uploads hashen$N$Nsolltest du deaktivieren, falls deine CPU oder Festplatte zum Flaschenhals werden könnte",
-	"ut_ask": 'Vor dem Upload nach Bestätigung fragen">💭',
+	"ut_ask": 'Vor dem Upload nach Bestätigung fragen',
 	"ut_pot": "Verbessert Upload-Geschwindigkeit$Nindem das UI weniger komplex gemacht wird",
 	"ut_srch": "nicht wirklich hochladen, stattdessen prüfen ob Datei bereits auf dem Server existiert (scannt alle Ordner, die du lesen kannst)",
 	"ut_par": "setze auf 0 zum Pausieren$N$Nerhöhe, wenn deine Verbindung langsam / instabil ist$N$lass auf 1 im LAN oder wenn die Festplatte auf dem Server ein Flaschenhals ist",
@@ -288,9 +288,9 @@ Ls.deu = {
 	"ml_drc": "Dynamic Range Compressor",
 	"ml_ss": "Stille Überspringen", //m
 
-	"mt_loop": "Song wiederholen\">🔁",
+	"mt_loop": "Song wiederholen",
 	"mt_one": "Wiedergabe nach diesem Song beenden\">1️⃣",
-	"mt_shuf": "Zufällige Wiedergabe im Ordner\">🔀",
+	"mt_shuf": "Zufällige Wiedergabe im Ordner",
 	"mt_aplay": "automatisch abspielen, wenn der Link, mit dem du auf den Server zugreifst, eine Titel-ID enthält$N$NDeaktivieren verhindert auch, dass die Seiten-URL bei Musikwiedergabe mit Titel-IDs aktualisiert wird, um Autoplay zu verhindern, falls diese Einstellungen verloren gehen, die URL aber bestehen bleibt\">a▶",
 	"mt_preload": "nächsten Titel gegen Ende vorladen für nahtlose Wiedergabe\">Vorladen",
 	"mt_prescan": "vor Ende des letzten Titels zum nächsten Ordner wechseln,$Ndamit der Browser die$NWiedergabe nicht stoppt\">Navigation",
@@ -305,7 +305,7 @@ Ls.deu = {
 	"mt_follow": "den spielenden Titel im Blick behalten\">🎯",
 	"mt_compact": "kompakte Steuerelemente\">⟎",
 	"mt_uncache": "Cache leeren &nbsp;(probier das, wenn dein Browser$Neine defekte Kopie eines Titels zwischenspeichert und sich weigert, ihn abzuspielen)\">Cache leeren",
-	"mt_mloop": "offenen Ordner wiederholen\">🔁 Schleife",
+	"mt_mloop": "offenen Ordner wiederholen",
 	"mt_mnext": "nächsten Ordner laden und fortfahren\">📂 nächster",
 	"mt_mstop": "Wiedergabe beenden\">⏸ Stop",
 	"mt_cflac": "FLAC / WAV zu {0} konvertierebn\">flac",
